Apache JMeter

## org.apache.jmeter.protocol.ldap.sampler
Class LdapExtClient

    java.lang.Object
      org.apache.jmeter.protocol.ldap.sampler.LdapExtClient

    public class LdapExtClient

extends Object

Ldap Client class is main class to create ,modify, search and delete all the LDAP functionality available

Constructor Summary
`LdapExtClient()` Constructor for the LdapClient object

Method Summary
`static NamingEnumeration<SearchResult>` `compare(DirContext dirContext, String filter, String entrydn)` Filter the data in the ldap directory
`static DirContext` `connect(String host, String port, String rootdn, String username, String password, String connTimeOut, boolean secure)` connect to server
`static DirContext` `createTest(DirContext dirContext, Attributes attributes, String string)` Create the entry in the ldap directory for the given string
`static void` `deleteTest(DirContext dirContext, String string)` Delete the attribute from the ldap directory
`static void` `disconnect(DirContext dirContext)` disconnect from the server
`static void` `moddnOp(DirContext dirContext, String ddn, String newdn)` ModDN the data in the ldap directory for the given search base
`static void` `modifyTest(DirContext dirContext, ModificationItem[] mods, String string)` Modify the attribute in the ldap directory for the given string
`static NamingEnumeration<SearchResult>` `searchTest(DirContext dirContext, String searchBase, String searchFilter, int scope, long countlim, int timelim, String[] attrs, boolean retobj, boolean deref)` Filter the data in the ldap directory for the given search base

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapExtClient

    public LdapExtClient()

  Constructor for the LdapClient object

Method Detail

### connect

    public static DirContext connect(String host,
                                     String port,
                                     String rootdn,
                                     String username,
                                     String password,
                                     String connTimeOut,
                                     boolean secure)
                              throws NamingException

  connect to server

  Parameters:
    `host` - Description of Parameter
    `username` - Description of Parameter
    `password` - Description of Parameter
  Throws:
    `NamingException` - Description of Exception

### disconnect

    public static void disconnect(DirContext dirContext)

  disconnect from the server

### searchTest

    public static NamingEnumeration<SearchResult> searchTest(DirContext dirContext,
                                                             String searchBase,
                                                             String searchFilter,
                                                             int scope,
                                                             long countlim,
                                                             int timelim,
                                                             String[] attrs,
                                                             boolean retobj,
                                                             boolean deref)
                                                      throws NamingException

  Filter the data in the ldap directory for the given search base

  Parameters:
    `searchBase` - base where the search should start
    `searchFilter` - filter filter this value from the base
  Throws:
    `NamingException`

### compare

    public static NamingEnumeration<SearchResult> compare(DirContext dirContext,
                                                          String filter,
                                                          String entrydn)
                                                   throws NamingException

  Filter the data in the ldap directory

  Parameters:
    `filter` - filter this value from the base
  Throws:
    `NamingException`

### moddnOp

    public static void moddnOp(DirContext dirContext,
                               String ddn,
                               String newdn)
                        throws NamingException

  ModDN the data in the ldap directory for the given search base

  Throws:
    `NamingException`

### modifyTest

    public static void modifyTest(DirContext dirContext,
                                  ModificationItem[] mods,
                                  String string)
                           throws NamingException

  Modify the attribute in the ldap directory for the given string

  Parameters:
    `mods` - add all the entry in to the ModificationItem
    `string` - The string (dn) value
  Throws:
    `NamingException`

### createTest

    public static DirContext createTest(DirContext dirContext,
                                        Attributes attributes,
                                        String string)
                                 throws NamingException

  Create the entry in the ldap directory for the given string

  Parameters:
    `attributes` - add all the attributes and values from the attributes object
    `string` - The string (dn) value
  Throws:
    `NamingException`

### deleteTest

    public static void deleteTest(DirContext dirContext,
                                  String string)
                           throws NamingException

  Delete the attribute from the ldap directory

  Parameters:
    `string` - The string (dn) value
  Throws:
    `NamingException`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.